"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const pointerReg = /^#\//;
function isPointer(s) {
    return typeof s === 'string' && pointerReg.test(s);
}
exports.isPointer = isPointer;
function isMustache(s) {
    return typeof s === 'string' && /{{\s*#\/.+?(?=}})/.test(s);
}
exports.isMustache = isMustache;
function getPath(str) {
    let path = str.replace(pointerReg, '').split('/').filter(a => a);
    return path;
}
exports.getPath = getPath;
function getFromPath(str, parentPath) {
    let path = getPath(str);
    if (path[0] === '~') {
        if (parentPath) {
            parentPath.from = [];
        }
        return path.slice(1);
    }
    return path;
}
exports.getFromPath = getFromPath;
//# sourceMappingURL=utils.js.map